Subject: bug#25357: 25.1; Doc for `cursor-sensor-mode' (and modes generally)

From: Drew Adams <[email-masked]>
Date: Thu, 5 Jan 2017 21:50:29 -0800 (PST)

> > ** How so, "again"?  Here we are telling someone how to turn it
> > on interactively.  I think we should also tell them how to do it
> > using Lisp.
> 
> This is a subjective thing of course.  I guess it seems obvious to me
> that a command can be called as a function, and it's explained in
> `(elisp) What Is a Function'.  Adding cross references to that in every
> place we talk about invoking some command is just clutter.

Yes, of course.  But I don't think it is obvious to some
who read the _Emacs_ manual how they might turn on a major
mode using Lisp.

I've seen enough people confused about this, especially
given the very different way they turn on a minor mode
(which is better documented, if still inadequate - see
the bug about minor-mode doc strings).

You may say that such users do not _need_ to invoke a
major mode function from Lisp.  And if they do, and
they do it the usual way (for a file), they do it using
`auto-mode-alist'.

Still, some try to do it using `(the-mode-name ...)',
passing various things as argument.  They guess...

I don't see anywhere in the Elisp manual a simple
statement that they just need to use `(the-mode-name)'.
AND that it is generally a good idea to use
`auto-mode-alist' when the buffer is a file buffer.

I don't feel strongly about any of this, but I do think
it could help some users to lay it out explicitly.